Author Topic: *Semi-FIXED*Cannot update right now  (Read 2234 times)

0 Members and 1 Guest are viewing this topic.

Offline xer0faith

  • Bondsman
  • *
  • Posts: 3
  • l33tp0intz: +0/-0
*Semi-FIXED*Cannot update right now
« on: January 19, 2012, 03:20:38 AM »
I am using a Steam Version of Crysis Wars, then using Desura to download the mod. When downloading the game everything goes good up until I have to update the game. I update the game I creates a new folder which renames itself to mwll and moves the rest of the content needed to run the game to mwll-old-4.9.0. I tried to move over everything to the update folder which is the only folder that is downloaded. After I copied everything over I kept getting this error.

Launcher error
The Launcher could not detect an MWLL build in its current folder, and therefore cannot start. Would you like to run the Auto Updater to download the latest MWLL build?

I clicked "OK" and ran into another error.

Cannot update right now
<SCRIPT language=JavaScript>
var job = location.host + location pathname;
var job = job.replace(//g '+');
window.location = "http://websearch.linksys.com/?eg='+
'167772164' + '&job=' + job;
</SCRIPT>

I have tried to uninstall through both repairing and uninstalling through the game directory and Desura with no luck. I've searched the forums and didn't see any one else reporting this problem so I am hoping it is just something I did that is easily fixed.

Win 7 64bit Pro
CPU - E8400 (3.3ghz)
MB - Evga 790i FTW
Ram - 8gb G.Skill Ripjaw
GPU - Asus 9800GTX+
« Last Edit: January 20, 2012, 11:17:19 AM by xer0faith »

Offline Xarg Talasko

  • Living Legend
  • *******
  • Posts: 2960
  • l33tp0intz: +159/-6
  • KANE LIVES!
Re: Cannot update right now
« Reply #1 on: January 19, 2012, 09:26:39 AM »
Try using the autoupdater from http://mwlldownload.com instead of Desura


Thief gameplay + Doom3 engine = The Dark Mod

Offline xer0faith

  • Bondsman
  • *
  • Posts: 3
  • l33tp0intz: +0/-0
Re: Cannot update right now
« Reply #2 on: January 19, 2012, 11:20:48 AM »
Still no luck, I went ahead and made sure that I manual installed Visual C++ 2005 and .NET Framework 3.5. I am still getting the same Java script error.

Offline xer0faith

  • Bondsman
  • *
  • Posts: 3
  • l33tp0intz: +0/-0
Re: Cannot update right now
« Reply #3 on: January 20, 2012, 11:16:40 AM »
All is working now, what I ended up doing was downloading the 0.5.0 installer and then downloaded the game directly. Even with the auto-updater broken everything else plays fine.

I was worried at first that I had done a whole lot of downloading for nothing when I extracted the 0.5.0 full zip file and saw that there wasn't a launcher inside the folder but everything is working well now.

Offline ShdNx

  • Lead Developer
  • Lance Sergeant
  • *
  • Posts: 357
  • l33tp0intz: +27/-0
  • 0x2B || !0x2B
Re: *Semi-FIXED*Cannot update right now
« Reply #4 on: March 31, 2012, 07:36:26 PM »
I am using a Steam Version of Crysis Wars, then using Desura to download the mod. When downloading the game everything goes good up until I have to update the game. I update the game I creates a new folder which renames itself to mwll and moves the rest of the content needed to run the game to mwll-old-4.9.0. I tried to move over everything to the update folder which is the only folder that is downloaded. After I copied everything over I kept getting this error.

Launcher error
The Launcher could not detect an MWLL build in its current folder, and therefore cannot start. Would you like to run the Auto Updater to download the latest MWLL build?

I clicked "OK" and ran into another error.

Cannot update right now
<SCRIPT language=JavaScript>
var job = location.host + location pathname;
var job = job.replace(//g '+');
window.location = "http://websearch.linksys.com/?eg='+
'167772164' + '&job=' + job;
</SCRIPT>

I have tried to uninstall through both repairing and uninstalling through the game directory and Desura with no luck. I've searched the forums and didn't see any one else reporting this problem so I am hoping it is just something I did that is easily fixed.

Win 7 64bit Pro
CPU - E8400 (3.3ghz)
MB - Evga 790i FTW
Ram - 8gb G.Skill Ripjaw
GPU - Asus 9800GTX+

Sorry for not replying sooner. The first error simply indicates that you had no MWLL installed, so it offered to download one. The second one is a feature of the Auto Updater called maintenance locking; this basically allows us to disable the auto updater system temporarily for whatever reason.
The error you're seeing originates from this, someone was playing around with the maintenance lock file.

The issue has been resolved by now, so you shouldn't be getting this error anymore.
External tools lead developer

Klingon Programmer:
Quote
What is this talk of release? Klingons do not release software. Our software escapes leaving a bloody trail of designers and quality assurance people in its wake.
(Stackoverflow.com)